petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoDefaultSMonitor

Default routine for monitoring progress of the solver. Same as TaoDefaultMonitor() except it prints fewer digits of the residual as the residual gets smaller. This is because the later digits are meaningless and are often different on different machines; by using this routine different machines will usually generate the same output. It can be turned on by using the -tao_smonitor option

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoDefaultSMonitor(Tao tao, void *ctx)

Collective on Tao Many br

### Input Parameters

| tao | - the Tao context Many br
| ctx | - PetscViewer context of type ASCII Many br

### Options Database Keys

-tao_smonitor - Many br Many br

### See Also

TaoDefaultMonitor(), TaoSetMonitor()

Level:advanced
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages